import { Query, Resolver } from '@nestjs/graphql';
import { HomeDashboardKPIsObjectType } from './home.object-type';
import { HomeService } from './home.service';

@Resolver()
export class HomeResolver {
  constructor(private readonly service: HomeService) {}

  @Query(() => HomeDashboardKPIsObjectType)
  homeDashboardKpis() {
    return this.service.homeDashboardKpis();
  }
}
